<?xml version="1.0" encoding="utf-8"?>
<DriverInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <Name>UFS 3.1 Algorithm</Name>
  <DriverId>57087816242299136</DriverId>
  <AlgoId>57087816242299136</AlgoId>
  <DriverLocation />
  <Keywords>UFS</Keywords>
  <DeviceId>51921</DeviceId>
  <Manufacturer>Western Digital</Manufacturer>
  <DeviceMenuName>SDINFDQ6-256G</DeviceMenuName>
  <PartNames>
    <string>SDINFDQ6-256G</string>
  </PartNames>
  <DevicePackage>TFBGA153</DevicePackage>
  <Size>256GByte</Size>
  <DriverFeature>Interposer 450102 WesternDigital 256GByte UFS 3.1 Algorithm</DriverFeature>
  <MemoryRegions>LUN0,LUN1,LUN2,LUN3,LUN4,LUN5,LUN6,LUN7,LUN8,LUN9,LUN10,LUN11,LUN12,LUN13,LUN14,LUN15,LUN16,LUN17,LUN18,LUN19,LUN20,LUN21,LUN22,LUN23,LUN24,LUN25,LUN26,LUN27,LUN28,LUN29,LUN30,LUN31</MemoryRegions>
  <AdapterId>111103</AdapterId>
  <AdapterIds>
    <unsignedInt>111103</unsignedInt>
    <unsignedInt>210103</unsignedInt>
  </AdapterIds>
  <AlgoVersion>2.17.1</AlgoVersion>
  <ReleaseStatus>Released</ReleaseStatus>
  <Modified>2026-01-15T11:51:51.5586743-08:00</Modified>
  <Author>DataioRedmond</Author>
  <BuildVersion>2.0.0.0</BuildVersion>
  <CreationDate>2026-01-15</CreationDate>
  <FpgaId>eMMC_TB_V05</FpgaId>
  <MinFirmwareVersion>2.1.2.0</MinFirmwareVersion>
  <MinCacheModuleVersion>1.0.0.0</MinCacheModuleVersion>
  <MinInterposerVersion>1.0.0.0</MinInterposerVersion>
  <MinMainBoardVersion>1.1.0.0</MinMainBoardVersion>
  <MinJobCreatorVersion>2.1.2.0</MinJobCreatorVersion>
  <PartNameDuplicate>false</PartNameDuplicate>
  <AlgoProjectName>UFS.PSAUfsAlgo</AlgoProjectName>
  <AlgoFamilyFlag>UFS</AlgoFamilyFlag>
</DriverInfo>